import { PAGFont } from './pag-font';
import { PAGLayer } from './pag-layer';
import type { Color, TextDocument } from './types';
export declare class PAGTextLayer extends PAGLayer {
    static make(duration: number, text: string, fontSize: number, fontFamily: string, fontStyle: string): PAGTextLayer;
    static make(duration: number, textDocumentHandle: TextDocument): PAGTextLayer;
    /**
     * Returns the text layer’s fill color.
     */
    fillColor(): Color;
    /**
     * Set the text layer’s fill color.
     */
    setFillColor(value: Color): void;
    /**
     * Returns the text layer's font.
     */
    font(): PAGFont;
    /**
     * Set the text layer's font.
     */
    setFont(pagFont: PAGFont): void;
    /**
     * Returns the text layer's font size.
     */
    fontSize(): number;
    /**
     * Set the text layer's font size.
     */
    setFontSize(size: number): void;
    /**
     * Returns the text layer's stroke color.
     */
    strokeColor(): Color;
    /**
     * Set the text layer's stroke color.
     */
    setStrokeColor(value: Color): void;
    /**
     * Returns the text layer's text.
     */
    text(): string;
    /**
     * Set the text layer's text.
     */
    setText(text: string): void;
    /**
     * Reset the text layer to its default text data.
     */
    reset(): void;
}
